Loading...
Searching...
No Matches
mqtt::server_response Class Reference

`#include <server_response.h>`

Inheritance diagram for mqtt::server_response:

## Public Member Functions

| server_response ()
| server_response (const properties &props)
| server_response (properties &&props)
virtual | ~server_response ()
const properties & | get_properties () const noexcept

## Detailed Description

Base class for responses from the server.

## Constructor & Destructor Documentation

## server_response() [1/3]

mqtt::server_response::server_response | ( |  | ) |

inline

Creates a response with empty property list.

## server_response() [2/3]

mqtt::server_response::server_response | ( | const properties & | props | ) |

inline

Creates a server response with the specified properties.

Parameters

  props | The properties in the response.

## server_response() [3/3]

mqtt::server_response::server_response | ( | properties && | props | ) |

inline

Creates a server response with the specified properties.

Parameters

  props | The properties in the response.

## ~server_response()

virtual mqtt::server_response::~server_response | ( |  | ) |

inline virtual

Virtual destructor.

## Member Function Documentation

## get_properties()

const properties & mqtt::server_response::get_properties | ( |  | ) | const

inline noexcept

Gets the properties from the response.

Returns
  The properties from the response.

The documentation for this class was generated from the following file:

- server_response.h